package com.njzscloud.supervisory.gps.tuqiang.jimi;

import com.njzscloud.supervisory.gps.tuqiang.jimi.support.JimiParam;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 获取单个或多个设备的详细信息
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
public class OpenDeviceGetDetailsParam extends JimiParam<OpenDeviceGetDetailsResult> {

    /**
     * 设备imei号，多个中间用英文逗号隔开； 如果设备过多，建议采用POST方式(一次最多100个IMEI)
     */
    private String imeis;

    public OpenDeviceGetDetailsParam() {
        super("jimi.open.device.getDetails");
    }

    @Override
    public Class<OpenDeviceGetDetailsResult> resultType() {
        return OpenDeviceGetDetailsResult.class;
    }
}
